Package: groovy.lang

## [Java] Interface ClosureInvokingMethod

- groovy.lang.MetaMember

- All Superinterfaces:
    MetaMember

      public interface ClosureInvokingMethod
      extends MetaMember

  An interface for MetaMethods that invoke closures to implements. Used by ExpandoMetaClass

  See Also:
    ExpandoMetaClass
  Since:
    1.5

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Closure` | `getClosure()` Returns the original closure that this method invokes

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface MetaMember` | `getModifiers, getName, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, isSynthetic`

- - ### Method Detail

    - #### public Closure getClosure()

      Returns the original closure that this method invokes

      Returns:
        The closure